New HP Touchpad Driver that Unlocks Multi-Touch on older Touchpad - www.hardwarezone.com.sg

HWZ Forums

Login Register FAQ Mark Forums Read

New HP Touchpad Driver that Unlocks Multi-Touch on older Touchpad

Share This Page
HardwareZone.com on Facebook
Reply
 
LinkBack Thread Tools
Old 18-03-2010, 08:03 PM   #1
Arch-Supremacy Member
 
Join Date: Apr 2009
Posts: 20,374
New HP Touchpad Driver that Unlocks Multi-Touch on older Touchpad

This WHQL Signed driver unlocks multi-touch (2 Finger Scroll) in laptops with older Touchpads that doesn't originally support multi-touch.

Download Links Below (Directly From HP you need opened FTP ports otherwise download WILL FAIL)
______________________________________________________

For Windows Xp/Windows Vista/Windows 7
______________________________________________________
Screenshot of additional function:


Disclaimer: The amount of the feature you will get depends on the hardware version of your touchpad.
Typically you need version 6.2 above.
The screenshot below shows a Version 7.2 Touchpad:


Last edited by ArcticCheetah; 30-01-2011 at 02:25 PM.. Reason: Updated links to IMO latest/greatest Synaptics Driver
ArcticCheetah is offline   Reply With Quote
Old 18-03-2010, 09:37 PM   #2
Senior Member
 
devilcm3's Avatar
 
Join Date: Jan 2009
Posts: 2,292
nice find !!!

ya , actually the driver can be modded for any kind of laptops but this worth a shot

good to know that not only mac that has the multitouch support
devilcm3 is offline   Reply With Quote
Old 18-03-2010, 10:31 PM   #3
Arch-Supremacy Member
 
Join Date: Apr 2009
Posts: 20,374
nice find !!!

ya , actually the driver can be modded for any kind of laptops but this worth a shot

good to know that not only mac that has the multitouch support
This is not a modded driver it is WHQL!
Even Modded Drivers cannot unlock 2/3 Finger Gesture so it is actually quite surprising.
The even more surprising part is it unlocks Multi-Touch on Older Touchpad which was always thought to be Non-MultiTouch Capable.
Anyway I will just put this up here.
The Touchpad driver is installable on all OEM Laptops not only HP.

Last edited by ArcticCheetah; 18-03-2010 at 10:37 PM..
ArcticCheetah is offline   Reply With Quote
Old 19-03-2010, 02:14 AM   #4
Senior Member
 
Join Date: Mar 2009
Posts: 996
NIce DDD
pokkax is offline   Reply With Quote
Old 20-03-2010, 04:19 AM   #5
Junior Member
 
Join Date: Mar 2010
Posts: 3
ArcticCheetah: The version installation shows 5.10 not 6.5 as shown above. I've uninstalled the synaptics program, rebooted then installed the new driver by double clicking the downloaded file. Several times in fact, yet the version still shows 5.10???

Do I need to manually delete the 5.10 driver to get the 6.5 to install correctly? If so how? Your help to install these much wanted new gestures is much appreciated. Thanks.
Laker775 is offline   Reply With Quote
Old 20-03-2010, 06:12 AM   #6
Junior Member
 
Join Date: Mar 2010
Posts: 1
You are confusing HARDWARE versions with SOFTWARE versions.

The hardware version of your particular trackpad is 5.10 and always will be. That number will never change! The OP's is 6.5 and mine is 7.2. Doesn't mean anything! The software version of this installation is 15.0.9.0.

If you've installed the software, that is all you need to do!

ArcticCheetah: The version installation shows 5.10 not 6.5 as shown above. I've uninstalled the synaptics program, rebooted then installed the new driver by double clicking the downloaded file. Several times in fact, yet the version still shows 5.10???

Do I need to manually delete the 5.10 driver to get the 6.5 to install correctly? If so how? Your help to install these much wanted new gestures is much appreciated. Thanks.
Orbiting234 is offline   Reply With Quote
Old 20-03-2010, 07:09 AM   #7
Senior Member
 
oOJunOo's Avatar
 
Join Date: Aug 2006
Posts: 1,551
Thanks for sharing~
__________________
oOJunOo is offline   Reply With Quote
Old 20-03-2010, 08:04 AM   #8
Junior Member
 
Join Date: Mar 2010
Posts: 1
hmm.. anyone else install this driver and not have the multi-touch options? driver version is 15.0.9.0...
neurobash is offline   Reply With Quote
Old 20-03-2010, 08:32 AM   #9
Junior Member
 
Join Date: Mar 2010
Posts: 2
This is awesome!! Installed it on my 14" eMachines 620 laptop and it works GREAT! Turns it into a whole new machine - I can actually USE the trackpad now! 2-finger scrolling, 3-finger tap, and 3-finger flick are awesome, thanks OP!
kaidomac is offline   Reply With Quote
Old 20-03-2010, 08:47 AM   #10
Junior Member
 
Join Date: Nov 2007
Posts: 5
Could the hardware version have anything to do with it? My hardware version is 6.2, and I don't get the 2 and 3 finger scrolling options either...

Running it on an ASUS F8Vr and Win 7 x64 btw.

Last edited by Chaoticefx; 20-03-2010 at 08:52 AM..
Chaoticefx is offline   Reply With Quote
Old 20-03-2010, 09:45 AM   #11
Arch-Supremacy Member
 
Join Date: Oct 2001
Posts: 10,456
Smile! You're on Engadget!

http://www.engadget.com/2010/03/19/s...der-trackpads/
ocillator is offline   Reply With Quote
Old 20-03-2010, 10:48 AM   #12
Arch-Supremacy Member
 
Join Date: Apr 2009
Posts: 20,374
My Touchpad Version is 6.5.
Doesn't comes with multitouch but it works now.
ArcticCheetah is offline   Reply With Quote
Old 20-03-2010, 11:16 AM   #13
Junior Member
 
Join Date: Mar 2010
Posts: 2
Could the hardware version have anything to do with it? My hardware version is 6.2, and I don't get the 2 and 3 finger scrolling options either...

Running it on an ASUS F8Vr and Win 7 x64 btw.
fwiw my hardware is Synaptics TouchPad v6.3. Perhaps only 6.3 and newer work?
kaidomac is offline   Reply With Quote
Old 20-03-2010, 11:37 AM   #14
Junior Member
 
Join Date: Mar 2010
Posts: 1
What a great find. Works on my Gateway P-7805u
wiz0floyd is offline   Reply With Quote
Old 20-03-2010, 12:37 PM   #15
Junior Member
 
Join Date: Mar 2010
Posts: 3
You are confusing HARDWARE versions with SOFTWARE versions.

The hardware version of your particular trackpad is 5.10 and always will be. That number will never change! The OP's is 6.5 and mine is 7.2. Doesn't mean anything! The software version of this installation is 15.0.9.0.

If you've installed the software, that is all you need to do!
Well thanks for clarifying my misunderstanding. Unfortunately it seems that my touchpad hardware does not support this multitouch driver. Laptop is a Gateway M-6862.

Does anyone else have this working on a version prior to 6.3? My hardware version is 5.10. Is this my limitation or is there another solution?

Last edited by Laker775; 20-03-2010 at 12:42 PM..
Laker775 is offline   Reply With Quote
Reply
Important Forum Advisory Note
This forum is moderated by volunteer moderators who will react only to members' feedback on posts. Moderators are not employees or representatives of HWZ. Forum members and moderators are responsible for their own posts.

Please refer to our Terms of Service for more information.


Thread Tools

Posting Rules

Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are Off
Refbacks are On